Apache JMeter

## org.apache.jmeter.save.converters
Class LongPropertyConverter

    java.lang.Object
      org.apache.jmeter.save.converters.LongPropertyConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

    public class LongPropertyConverter

extends Object
implements com.thoughtworks.xstream.converters.Converter

Constructor Summary
`LongPropertyConverter()`

Method Summary
`boolean` `canConvert(Class arg0)`
`static String` `getVersion()` Returns the converter version; used to check for possible incompatibilities
`void` `marshal(Object obj, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext arg2)`
`Object` `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongPropertyConverter

    public LongPropertyConverter()

Method Detail

### getVersion

    public static String getVersion()

  Returns the converter version; used to check for possible incompatibilities

### canConvert

    public boolean canConvert(Class arg0)

  Specified by:
    `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

### marshal

    public void marshal(Object obj,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext arg2)

  Specified by:
    `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext arg1)

  Specified by:
    `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.